ALLEGRO_PRIM_TYPE(3)

NAME

ALLEGRO_PRIM_TYPE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    typedef enum ALLEGRO_PRIM_TYPE

DESCRIPTION

Enumerates the types of primitives this addon can draw.

•   ALLEGRO_PRIM_POINT_LIST - A list of points, each vertex defines a point

•   ALLEGRO_PRIM_LINE_LIST - A list of lines, sequential pairs of vertices define disjointed lines

•   ALLEGRO_PRIM_LINE_STRIP - A strip of lines, sequential vertices define a strip of lines

•   ALLEGRO_PRIM_LINE_LOOP - Like a line strip, except at the end the first and the last vertices are also connected by a line

•   ALLEGRO_PRIM_TRIANGLE_LIST - A list of triangles, sequential triplets of vertices define disjointed triangles

•   ALLEGRO_PRIM_TRIANGLE_STRIP - A strip of triangles, sequential vertices define a strip of triangles

•   ALLEGRO_PRIM_TRIANGLE_FAN - A fan of triangles, all triangles share the first vertex